## org.eclipse.jst.jsf.facesconfig.emf
Interface ManagedPropertyType

All Known Implementing Classes:
  ManagedPropertyTypeImpl

    public interface ManagedPropertyType

A representation of the model object 'Managed Property Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Property Name`
- `Property Class`
- `Map Entries`
- `Null Value`
- `Value`
- `List Entries`
- `Id`

See Also:
  `FacesConfigPackage.getManagedPropertyType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`ListEntriesType` `getListEntries()` Returns the value of the 'List Entries' containment reference
`MapEntriesType` `getMapEntries()` Returns the value of the 'Map Entries' containment reference
`NullValueType` `getNullValue()` Returns the value of the 'Null Value' containment reference
`PropertyClassType` `getPropertyClass()` Returns the value of the 'Property Class' containment reference
`PropertyNameType` `getPropertyName()` Returns the value of the 'Property Name' containment reference
`ValueType` `getValue()` Returns the value of the 'Value' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setListEntries(ListEntriesType value)` Sets the value of the '`List Entries`' containment reference
`void` `setMapEntries(MapEntriesType value)` Sets the value of the '`Map Entries`' containment reference
`void` `setNullValue(NullValueType value)` Sets the value of the '`Null Value`' containment reference
`void` `setPropertyClass(PropertyClassType value)` Sets the value of the '`Property Class`' containment reference
`void` `setPropertyName(PropertyNameType value)` Sets the value of the '`Property Name`' containment reference
`void` `setValue(ValueType value)` Sets the value of the '`Value`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedPropertyType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedPropertyType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedPropertyType_Icon()`

### getPropertyName

    PropertyNameType getPropertyName()

  Returns the value of the 'Property Name' containment reference.

  If the meaning of the 'Property Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Name' containment reference.
  See Also:
    `setPropertyName(PropertyNameType)`, `FacesConfigPackage.getManagedPropertyType_PropertyName()`

### setPropertyName

    void setPropertyName(PropertyNameType value)

  Sets the value of the '`Property Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Name' containment reference.
  See Also:
    `getPropertyName()`

### getPropertyClass

    PropertyClassType getPropertyClass()

  Returns the value of the 'Property Class' containment reference.

  If the meaning of the 'Property Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Class' containment reference.
  See Also:
    `setPropertyClass(PropertyClassType)`, `FacesConfigPackage.getManagedPropertyType_PropertyClass()`

### setPropertyClass

    void setPropertyClass(PropertyClassType value)

  Sets the value of the '`Property Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Class' containment reference.
  See Also:
    `getPropertyClass()`

### getMapEntries

    MapEntriesType getMapEntries()

  Returns the value of the 'Map Entries' containment reference.

  If the meaning of the 'Map Entries' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Map Entries' containment reference.
  See Also:
    `setMapEntries(MapEntriesType)`, `FacesConfigPackage.getManagedPropertyType_MapEntries()`

### setMapEntries

    void setMapEntries(MapEntriesType value)

  Sets the value of the '`Map Entries`' containment reference.

  Parameters:
    `value` - the new value of the 'Map Entries' containment reference.
  See Also:
    `getMapEntries()`

### getNullValue

    NullValueType getNullValue()

  Returns the value of the 'Null Value' containment reference.

  If the meaning of the 'Null Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Value' containment reference.
  See Also:
    `setNullValue(NullValueType)`, `FacesConfigPackage.getManagedPropertyType_NullValue()`

### setNullValue

    void setNullValue(NullValueType value)

  Sets the value of the '`Null Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Null Value' containment reference.
  See Also:
    `getNullValue()`

### getValue

    ValueType getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(ValueType)`, `FacesConfigPackage.getManagedPropertyType_Value()`

### setValue

    void setValue(ValueType value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

### getListEntries

    ListEntriesType getListEntries()

  Returns the value of the 'List Entries' containment reference.

  If the meaning of the 'List Entries' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'List Entries' containment reference.
  See Also:
    `setListEntries(ListEntriesType)`, `FacesConfigPackage.getManagedPropertyType_ListEntries()`

### setListEntries

    void setListEntries(ListEntriesType value)

  Sets the value of the '`List Entries`' containment reference.

  Parameters:
    `value` - the new value of the 'List Entries' containment reference.
  See Also:
    `getListEntries()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getManagedPropertyType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`